Subject: Re: Customer Service Advisor - Work From Home - Phone Support - CHARISE MAYHAY applied on Indeed
From: "CHARISE MAYHAY" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Mon, 30 Jan 2023 02:29:43 -0600 (CST)

This has been noted; thank you very much. However, because I am currently traveling, I believe I will arrive home between 10 and 11 p.m. Is it still possible to continue at that point? Furthermore, I have a question about the contract that I am supposed to sign today because I have not yet received it. Thank you very much!

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3C1d7ce841-3569-4d2c-8a22-1836ab10fb1e%40indeedemail.com%3E&hl=en_PH&co=PH>

Indeed processes and analyzes your activity in this email.

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.